<app-loading *ngIf="isLoading"></app-loading>
<div class="app-card">
  <div class='btn-sync-user'>
    <mb-button *ngIf='objFunction.adjusted' mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="syncUsersFromKeycloak()"
               [mbButtonIsLoading]='isSyncUser || jobId != null' [mbIsDisable]='isSyncUser || jobId != null'
               mbButtonAvailableStyle="LOADING" mbButtonText="{{'system.usersConfig.label.attributes.syncUserFromKeycloak' | translate}}"></mb-button>
  </div>
  <form nz-form [formGroup]="searchForm">
    <div class="app-row" nz-row [nzGutter]="[30, 0]">
      <div nz-col nzXs="24" nzLg="8">
        <mb-input-text formControlName="username"
          mbPlaceholderText="--{{'system.usersConfig.label.attributes.username' | translate}}--"
          mbLabelText="{{'system.usersConfig.label.attributes.username' | translate}}">
        </mb-input-text>
      </div>
      <div nz-col nzXs="24" nzLg="8">
        <mb-input-text formControlName="fullName"
          mbPlaceholderText="--{{'system.usersConfig.label.attributes.fullName' | translate}}--"
          mbLabelText="{{'system.usersConfig.label.attributes.fullName' | translate}}">
        </mb-input-text>
      </div>
      <div nz-col nzXs="24" nzLg="8">
        <mb-input-text formControlName="email"
          mbPlaceholderText="--{{'system.usersConfig.label.attributes.email' | translate}}--"
          mbLabelText="{{'system.usersConfig.label.attributes.email' | translate}}">
        </mb-input-text>
      </div>
      <div nz-col nzXs="24" nzLg="8">
        <mb-select [mbDataSelects]="listStatus" mbKeyLabel="name" mbKeyValue="code" [mbShowSearch]="false"
          mbPlaceholder="--{{'common.label.chooseAll' | translate}}--"
          mbLabelText="{{'system.usersConfig.label.attributes.flagStatus' | translate}}"
          formControlName="flagStatus"></mb-select>
      </div>
      <div nz-col nzXs="24" nzLg="8">
        <mb-select [mbDataSelects]="listTracing" mbKeyLabel="name" mbKeyValue="code" [mbShowSearch]="false"
          mbPlaceholder="--{{'common.label.chooseAll' | translate}}--"
          mbLabelText="{{'system.usersConfig.label.attributes.isTracing' | translate}}"
          formControlName="isTracing"></mb-select>
      </div>
      <div nz-col nzXs="24" nzLg="8" class="button-search">
        <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" (click)="search()"
         mbButtonAvailableStyle="SEARCH" mbButtonText="{{'common.button.search' | translate}}"></mb-button>
      </div>
    </div>
  </form>
</div>
<div class="app-list">
  <div class="data-table" oncontextmenu="return false;">
    <nz-table #basicTable [nzData]="listData || []" [nzShowPagination]="false" [nzPageSize]="pageable.totalElements"
      [nzScroll]="listData.length > 8 ? { y: '430px' } : {}" [nzPageSize]="limit" nzSize='small'>
      <thead>
        <tr class="table-header">
          <th scope="col" class="text-nowrap text-center" nzWidth="70px" nzLeft='0'>{{'system.table.stt' | translate}}</th>
          <th scope="col" class="text-nowrap">{{'system.usersConfig.label.table.username' | translate}}</th>
          <th scope="col" class="text-nowrap text-center">{{'system.usersConfig.label.table.employeeCode' | translate}}</th>
          <th scope="col" class="text-nowrap">{{'system.usersConfig.label.table.fullName' | translate}}</th>
          <th scope="col" class="text-nowrap text-center">{{'system.usersConfig.label.table.phoneNumber' | translate}}</th>
          <th scope="col" class="text-nowrap">{{'system.usersConfig.label.table.email' | translate}}</th>
          <th scope="col" class="text-nowrap">{{'system.usersConfig.label.table.orgName' | translate}}</th>
          <th scope="col" class="text-nowrap">{{'system.usersConfig.label.table.jobName' | translate}}</th>
          <th scope="col" class="text-nowrap text-center" nzWidth="150px" nzRight='150px'>{{'system.usersConfig.label.table.isTracing' | translate}}</th>
          <th scope="col" class="text-nowrap text-center" nzWidth="150px" nzRight='0px'>{{'system.usersConfig.label.table.flagStatus' | translate}}</th>
        </tr>
      </thead>
      <tbody>
        <tr class="row-table" *ngFor="let data of basicTable.data ;let i = index; trackBy: trackByFn" (click)="update(data)">
          <td class="text-center" nzWidth="70px" nzLeft='0'>{{ validateService.getRowIndex(i, pageable.currentPage, pageable.size) }}</td>
          <td>{{ data?.username }}</td>
          <td class="text-center">{{ data?.empCode }}</td>
          <td>{{ data?.fullName }}</td>
          <td class="text-center">{{ data?.phoneNumber }}</td>
          <td>{{ data?.email }}</td>
          <td>{{ data?.orgName }}</td>
          <td>{{ data?.jobName }}</td>
          <td class="text-center" nzWidth="150px" nzRight='150px'>
            <nz-switch class='user-switch' [(ngModel)]="data.isTracing" [nzDisabled]="!this.objFunction?.adjusted"
                       (click)="isTracing(data, 'tracing'); $event.stopPropagation();" >
            </nz-switch>
          </td>
          <td class="text-center" nzWidth="150px" nzRight='0px'>
            <nz-switch class='user-switch' [(ngModel)]="data.flagStatus" [nzDisabled]="!this.objFunction?.adjusted"
                       (click)="isActive(data, 'status'); $event.stopPropagation();">
            </nz-switch>
          </td>
        </tr>
      </tbody>
    </nz-table>
  </div>
  <ng-template #checkedTemplate><em nz-icon nzType="check"></em></ng-template>
  <ng-template #unCheckedTemplate><em nz-icon nzType="close"></em></ng-template>
</div>
<div class="pagination" *ngIf="listData && listData.length > 0">
  <div class="pagination__table-info">
    <img alt="idea.svg" class="pagination__table-info--icon" src="assets/images/icon/idea.svg" />
    <span class="pagination__table-info--text">Tìm thấy {{ pageable.totalElements }} kết quả, hiển thị từ
      {{ pageable.size * (pageable.currentPage - 1) + 1 }} đến
      {{ pageable.size * (pageable.currentPage - 1) + listData.length }}</span>
  </div>
  <nz-pagination [(nzPageIndex)]="pageable && pageable.currentPage" [nzTotal]="pageable.totalElements"
    [nzPageSize]="pageable.size" (nzPageIndexChange)="search($event)" class="pagination__icon">
  </nz-pagination>
</div>
